Home

# Library goog.debug.logRecordSerializer

Function Summary
| `getLevel_(string name, number value) ⇒ ?goog.debug.Logger.Level`
| `parse(string s) ⇒ !goog.debug.LogRecord` Deserializes a JSON-serialized LogRecord.
| `reconstitute_(?Object o) ⇒ !goog.debug.LogRecord` Common reconsitution method for for parse and unsafeParse.
| `serialize(?goog.debug.LogRecord record) ⇒ string` Serializes a LogRecord to a JSON string. Note that any associated exception is likely to be lost.
| `unsafeParse(string s) ⇒ !goog.debug.LogRecord` Deserializes a JSON-serialized LogRecord. Use this only if you're naive enough to blindly trust any JSON formatted input that comes your way.